Bug 1307384 - clxclient: FTBFS in rawhide
clxclient: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clxclient (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:08 EST by Fedora Release Engineering
Modified: 2016-05-07 07:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: clxclient-3.9.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:55:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (10.44 KB, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details
root.log (85.21 KB, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:08:38 EST
Your package clxclient failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12809552

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:08:40 EST
Created attachment 1124222 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:08:41 EST
Created attachment 1124223 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:08:42 EST
Created attachment 1124224 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:36:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 22:10:40 EST
xdisplay.cc:192:1: error: narrowing conversion of '128' from 'int' to 'char' inside { } [-Wnarrowing]
xdisplay.cc:192:1: error: narrowing conversion of '192' from 'int' to 'char' inside { } [-Wnarrowing]
[snip]

This needs to be unsigned char[].  Note this is already fixed in the latest 3.9.0 release.
Comment 6 Upstream Release Monitoring 2016-04-24 12:51:47 EDT
bsjones's clxclient-3.9.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=757319
Comment 7 Fedora Update System 2016-04-25 02:35:34 EDT
clxclient-3.9.0-1.fc24 japa-0.8.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-34f419ac00
Comment 8 Fedora Update System 2016-04-25 13:50:50 EDT
clxclient-3.9.0-1.fc24, japa-0.8.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-34f419ac00
Comment 9 Fedora Update System 2016-05-07 07:55:13 EDT
clxclient-3.9.0-1.fc24, japa-0.8.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.